Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Hive >> mail # dev >> run a test case for hadoop 23


+
Gang Tim Liu 2012-09-11, 20:59
+
Gang Tim Liu 2012-09-11, 23:14
Copy link to this message
-
Re: run a test case for hadoop 23
This one will work and it doesn't need change in build.properties. Details
in HIVE-3389.

ant test -Dhadoop.mr.rev=23 -Dtest.print.classpath=true
-Dhadoop.version=2.0.0-alpha -Dhadoop.security.version=2.0.0-alpha
-Dtestcase=TestCliDriver -Dqfile=...q

I will update hive wiki so that people can save efforts.

Thanks

Tim

On 9/11/12 4:14 PM, "Gang Tim Liu" <[EMAIL PROTECTED]> wrote:

>I am running test in eclipse and it is printing
>
>INCLUDE list does not contain Hadoop Version 0.20. SkippingŠ
>
>It's from QTestUtil.java due to hadoopversion 0.20
>
>
>Thanks
>
>On 9/11/12 4:04 PM, "Chris Drome" <[EMAIL PROTECTED]> wrote:
>
>>You can try cleaning and rebuilding:
>>
>>ant clean package
>>
>>Then you can try running your tests:
>>
>>ant test
>>
>>How do you know that it is using hadoop 20?
>>
>>chris
>>
>>On 9/11/12 3:57 PM, "Gang Tim Liu" <[EMAIL PROTECTED]> wrote:
>>
>>>Not working.
>>>
>>>I must miss something.
>>>
>>>What command do you use after changing it?
>>>
>>>thanks
>>>
>>>On 9/11/12 2:31 PM, "Chris Drome" <[EMAIL PROTECTED]> wrote:
>>>
>>>>You might try modifying the build.properties file as follows:
>>>>
>>>>hadoop.version=${hadoop-0.23.version}
>>>>hadoop.security.version=${hadoop-0.23.version}
>>>>hadoop.mr.rev=23
>>>>
>>>>This works for me.
>>>>
>>>>chris
>>>>
>>>>
>>>>
>>>>On 9/11/12 1:59 PM, "Gang Tim Liu" <[EMAIL PROTECTED]> wrote:
>>>>
>>>>>Hello all,
>>>>>
>>>>>I am looking for help and thank first.
>>>>>
>>>>>How to run a test case for hadoop 23 only? Exact command?
>>>>>
>>>>>I tried the following and it didn't work:
>>>>>
>>>>>ant ... -Dhadoop.version=0.23.1 -Dhadoop-0.23.version=0.23.1
>>>>>-Dhadoop.mr.rev=23
>>>>>
>>>>>
>>>>>It still gets 0.20 as hadoop version.
>>>>>
>>>>>Thanks
>>>>>
>>>>>Tim
>>>>>
>>>>
>>>
>>
>
+
Zhenxiao Luo 2012-09-12, 00:08
+
Gang Tim Liu 2012-09-14, 07:51
+
Gang Tim Liu 2012-09-11, 22:57
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB